| AI Engine-ML v2 Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Concatenate two vectors
Vector Conversions » Concatenate vectors

## Concat 128-bit registers in 256-bit register
v64int4 | concat (v32int4 v0, v32int4 v1)
v64uint4 | concat (v32uint4 v0, v32uint4 v1)
v32int8 | concat (v16int8 v0, v16int8 v1)
v32uint8 | concat (v16uint8 v0, v16uint8 v1)
v8cint16 | concat (v4cint16 v0, v4cint16 v1)
v16int16 | concat (v8int16 v0, v8int16 v1)
v16uint16 | concat (v8uint16 v0, v8uint16 v1)
v4cint32 | concat (v2cint32 v0, v2cint32 v1)
v8int32 | concat (v4int32 v0, v4int32 v1)
v8uint32 | concat (v4uint32 v0, v4uint32 v1)
v16bfloat16 | concat (v8bfloat16 v0, v8bfloat16 v1)
v16float16 | concat (v8float16 v0, v8float16 v1)
v32bfloat8 | concat (v16bfloat8 v0, v16bfloat8 v1)
v32float8 | concat (v16float8 v0, v16float8 v1)
v8float | concat (v4float v0, v4float v1)
v8cbfloat16 | concat (v4cbfloat16 v0, v4cbfloat16 v1)
v4cfloat | concat (v2cfloat v0, v2cfloat v1)

## Detailed Description

## Function Documentation

## ◆ concat() [1/17]

v32bfloat8 concat | ( | v16bfloat8 | v0,
|  | v16bfloat8 | v1 )

## ◆ concat() [2/17]

v32float8 concat | ( | v16float8 | v0,
|  | v16float8 | v1 )

## ◆ concat() [3/17]

v32int8 concat | ( | v16int8 | v0,
|  | v16int8 | v1 )

## ◆ concat() [4/17]

v32uint8 concat | ( | v16uint8 | v0,
|  | v16uint8 | v1 )

## ◆ concat() [5/17]

v4cfloat concat | ( | v2cfloat | v0,
|  | v2cfloat | v1 )

## ◆ concat() [6/17]

v4cint32 concat | ( | v2cint32 | v0,
|  | v2cint32 | v1 )

## ◆ concat() [7/17]

v64int4 concat | ( | v32int4 | v0,
|  | v32int4 | v1 )

## ◆ concat() [8/17]

v64uint4 concat | ( | v32uint4 | v0,
|  | v32uint4 | v1 )

## ◆ concat() [9/17]

v8cbfloat16 concat | ( | v4cbfloat16 | v0,
|  | v4cbfloat16 | v1 )

## ◆ concat() [10/17]

v8cint16 concat | ( | v4cint16 | v0,
|  | v4cint16 | v1 )

## ◆ concat() [11/17]

v8float concat | ( | v4float | v0,
|  | v4float | v1 )

## ◆ concat() [12/17]

v8int32 concat | ( | v4int32 | v0,
|  | v4int32 | v1 )

## ◆ concat() [13/17]

v8uint32 concat | ( | v4uint32 | v0,
|  | v4uint32 | v1 )

## ◆ concat() [14/17]

v16bfloat16 concat | ( | v8bfloat16 | v0,
|  | v8bfloat16 | v1 )

## ◆ concat() [15/17]

v16float16 concat | ( | v8float16 | v0,
|  | v8float16 | v1 )

## ◆ concat() [16/17]

v16int16 concat | ( | v8int16 | v0,
|  | v8int16 | v1 )

## ◆ concat() [17/17]

v16uint16 concat | ( | v8uint16 | v0,
|  | v8uint16 | v1 )